package com.muyu.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.domain.CarType;
import com.muyu.domain.resp.CarTypeResp;
import com.muyu.mapper.CarTypeMapper;
import com.muyu.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class CarTypeServiceImpl extends ServiceImpl<CarTypeMapper,CarType> implements CarTypeService {
@Autowired
private CarTypeMapper carTypeMapper;
    @Override
    public List<CarType> selectCarTypeList() {
        QueryWrapper<CarType> carTypeQueryWrapper = new QueryWrapper<>();
        return carTypeMapper.selectList(carTypeQueryWrapper);
    }

    @Override
    public CarTypeResp selectCarTypeRespList(Long id) {
        return carTypeMapper.selectCarTypeRespList(id);
    }
}
